View Issue Details

IDProjectCategoryLast Update
0021199AI War 2[All Projects] Bug - GameplayAug 7, 2019 4:20 pm
ReportertrillioneyesAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.858 Hotfix: The Lobby... Ate My Galaxy? 
Fixed in Version0.879 Many Fixes and the Tutorial Rework Starts 
Summary0021199: Ships getting stuck on forcefields
DescriptionMy agile cursed golem ark on Arora is next to a force field and seems to be stuck. Also, it's already dead in this save file, but a couple raid frigates were there a moment ago too. Destroying AI units on the planet using the debug command frees the ark.

This save was created in 0.853.
TagsNo tags attached.

Relationships

related to 0021362 resolvedx4000Bughunter Flagship cannot move 
related to 0021450 resolvedx4000Bughunter Fleet stuck on ForceField 

Activities

trillioneyes

May 10, 2019 10:47 am

reporter  

stuck ark.save (582,662 bytes)
stuck ark.savemet (57 bytes)

BadgerBadger

May 10, 2019 11:13 am

manager   ~0051575

Yup, definitely stuck

wm46

May 22, 2019 3:26 am

reporter   ~0051714

Well, I was about to try to tackle this, but when I load the save all ships just phase right through shield generators.

If someone can get me a save that works, that'd be great.

wm46

May 22, 2019 4:14 am

reporter   ~0051715

Changing the distance from forcefield check to forbid approximations makes this not occur.

No idea how much of a performance hit that is. My other option is to compare the forcefield push back location to the entity's current location and if they're the same, redo the calculation with even more push back.

The downside to option 2 is that it'll take a minimum of 2 frames (0.2 seconds) to free your ship if it gets stuck on the corners. Even then there might be cases where the increased distance is still not enough and you end up in another endless loop.

x4000Bughunter

Jun 3, 2019 8:27 pm

administrator   ~0051795

I would say go for it with forbidding the approximations. Long-term, potentially we'll switch to using SIMD for this and save some substantial performance from that. It would likely perform better than the current approximations do, although it's hard to say. As it stands, going approximation-less shouldn't be a killer since we don't have lots of shield bearers or whatnot.

BadgerBadger

Jun 4, 2019 8:02 pm

manager   ~0051844

Here's another one with a stuck flagship.

StuckFlagship.save (752,490 bytes)

x4000Bughunter

Aug 7, 2019 4:20 pm

administrator   ~0052454

WeaponMaster got it!

Issue History

Date Modified Username Field Change
May 10, 2019 10:47 am trillioneyes New Issue
May 10, 2019 10:47 am trillioneyes File Added: stuck ark.save
May 10, 2019 10:47 am trillioneyes File Added: stuck ark.savemet
May 10, 2019 11:13 am BadgerBadger Assigned To => x4000Bughunter
May 10, 2019 11:13 am BadgerBadger Status new => assigned
May 10, 2019 11:13 am BadgerBadger Note Added: 0051575
May 22, 2019 3:26 am wm46 Note Added: 0051714
May 22, 2019 4:14 am wm46 Note Added: 0051715
Jun 3, 2019 8:27 pm x4000Bughunter Note Added: 0051795
Jun 4, 2019 8:02 pm BadgerBadger File Added: StuckFlagship.save
Jun 4, 2019 8:02 pm BadgerBadger Note Added: 0051844
Jul 8, 2019 11:03 pm wm46 Relationship added related to 0021362
Aug 6, 2019 6:34 pm wm46 Relationship added related to 0021450
Aug 7, 2019 4:20 pm x4000Bughunter Status assigned => resolved
Aug 7, 2019 4:20 pm x4000Bughunter Resolution open => fixed
Aug 7, 2019 4:20 pm x4000Bughunter Fixed in Version => 0.879 Many Fixes and the Tutorial Rework Starts
Aug 7, 2019 4:20 pm x4000Bughunter Note Added: 0052454